org.opencv.objdetect

## Class Objdetect

- java.lang.Object
- - org.opencv.objdetect.Objdetect

-     public class Objdetect
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CASCADE_DO_CANNY_PRUNING`
    `static int` | `CASCADE_DO_ROUGH_SEARCH`
    `static int` | `CASCADE_FIND_BIGGEST_OBJECT`
    `static int` | `CASCADE_SCALE_IMAGE`
    `static int` | `DetectionBasedTracker_DETECTED`
    `static int` | `DetectionBasedTracker_DETECTED_NOT_SHOWN_YET`
    `static int` | `DetectionBasedTracker_DETECTED_TEMPORARY_LOST`
    `static int` | `DetectionBasedTracker_WRONG_OBJECT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Objdetect()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `groupRectangles(MatOfRect rectList, MatOfInt weights, int groupThreshold)`
    `static void` | `groupRectangles(MatOfRect rectList, MatOfInt weights, int groupThreshold, double eps)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DetectionBasedTracker_DETECTED_NOT_SHOWN_YET

          public static final int DetectionBasedTracker_DETECTED_NOT_SHOWN_YET

      See Also:
        Constant Field Values

    - #### DetectionBasedTracker_DETECTED

          public static final int DetectionBasedTracker_DETECTED

      See Also:
        Constant Field Values

    - #### DetectionBasedTracker_DETECTED_TEMPORARY_LOST

          public static final int DetectionBasedTracker_DETECTED_TEMPORARY_LOST

      See Also:
        Constant Field Values

    - #### DetectionBasedTracker_WRONG_OBJECT

          public static final int DetectionBasedTracker_WRONG_OBJECT

      See Also:
        Constant Field Values

    - #### CASCADE_DO_CANNY_PRUNING

          public static final int CASCADE_DO_CANNY_PRUNING

      See Also:
        Constant Field Values

    - #### CASCADE_SCALE_IMAGE

          public static final int CASCADE_SCALE_IMAGE

      See Also:
        Constant Field Values

    - #### CASCADE_FIND_BIGGEST_OBJECT

          public static final int CASCADE_FIND_BIGGEST_OBJECT

      See Also:
        Constant Field Values

    - #### CASCADE_DO_ROUGH_SEARCH

          public static final int CASCADE_DO_ROUGH_SEARCH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Objdetect

          public Objdetect()

  - ### Method Detail

    - #### groupRectangles

          public static void groupRectangles(MatOfRect rectList,
                                             MatOfInt weights,
                                             int groupThreshold,
                                             double eps)

    - #### groupRectangles

          public static void groupRectangles(MatOfRect rectList,
                                             MatOfInt weights,
                                             int groupThreshold)

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8